Index: /extensions/UserAdvManager/branches/2.51/maintain.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/maintain.inc.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/maintain.inc.php	(revision 25093)
@@ -35,6 +35,4 @@
     'MAILEXCLUSION'               => 'false',
     'MAILEXCLUSION_LIST'          => '',
-    'PASSWORDENF'                 => 'false',
-    'PASSWORD_SCORE'              => '100',
     'ADMINPASSWENF'               => 'false',
     'GHOSTRACKER'                 => 'false',
@@ -61,5 +59,4 @@
     'VALID_LEVEL'                 => '-1',
     'DOWNGRADE_LEVEL'             => '-1',
-    'PWDRESET'                    => 'false',
     'REJECTCONNECT'               => 'false',
     'REJECTCONNECT_TEXT'          => l10n('UAM_Default_RejectConnexion_Txt'),
@@ -198,21 +195,4 @@
   pwg_query($q);
 
-  // Piwigo's native tables modifications for password reset function - Add pwdreset column if not already exists
-  // ------------------------------------------------------------------------------------------------------------
-  $query = '
-SHOW COLUMNS FROM '.USERS_TABLE.'
-LIKE "UAM_pwdreset"
-;';
-  
-  $result = pwg_query($query);
-
-  if(!pwg_db_fetch_row($result))
-  {
-    $q = '
-ALTER TABLE '.USERS_TABLE.'
-ADD UAM_pwdreset enum("true","false") 
-;';
-    pwg_query($q);
-  }
 
   // Piwigo's native tables modifications for validation status
@@ -420,4 +400,11 @@
       upgrade_2500_25011();
     }
+
+    if (version_compare($conf['UserAdvManager_Version'], '2.51.0') < 0)
+    {
+    /* upgrade from version 2.50.x to 2.51.0 */
+    /* *************************************** */
+      upgrade_2500_2510();
+    }
   }
 
@@ -486,10 +473,4 @@
   $q = '
 ALTER TABLE '.USERS_TABLE.'
-DROP UAM_pwdreset 
-;';
-  pwg_query($q);
-
-  $q = '
-ALTER TABLE '.USERS_TABLE.'
 DROP UAM_validated 
 ;';
